@echo off
cls
REM 
REM Check for existance of doom2.exe and doom2.wad
REM if not exist doom2.wad goto Doh
if not exist doom2.exe goto Doh
REM 
REM Check for existance of PERDITION'S GATE wads
REM 
if not exist PerdGate.wad goto error
if not exist pgdemo19.wad goto error
if not exist pgdemo18.wad goto error
if not exist pgdemo17.wad goto error
if not exist pgdemo16.wad goto error
REM 
REM routine to load the appropriate PERDITION'S GATE demos
REM 
:title2
echo ͹ Perditions Gate Demo Loader  ͻ
echo                                                                    
echo                                                                             
echo    Ŀ Ŀ Ŀ Ŀ  Ŀ  Ŀ Ŀ  Ŀ  Ŀ Ŀ Ŀ Ŀ   
echo                              Ŀ   Ŀ Ĵ           
echo                                      
echo                                                        .        Wraith     
echo                                                                     
echo ͹
echo  What version of Doom2 do you have?  Version [6] - 1.666    [9] - 1.9      
echo  * Press the Letter Correspoding to          [7] - 1.7/1.7a                
echo    your correct Doom2 version.               [8] - 1.8      [Q] - Quit     
echo ͹
echo  * If you don't know what version you have, go back to your prompt and run  
echo  DOOM2.  Look at the top of the screen when DOOM2 is loading, the version   
echo  you are running will be displayed there.                                   
echo ͻ
echo ȹ            DOOM II is a trademark of id Software Inc.              ̼
echo  ͼ
goto blah
:blah
choice /c:q9876
if errorlevel 5 goto six
if errorlevel 4 goto seven
if errorlevel 3 goto eight
if errorlevel 2 goto nine
if errorlevel 1 goto end
REM 
REM This routine is only invoked if choice.exe is not found.
REM It causes PERDITION'S GATE to be run without the demos loaded.
REM 
echo.
echo WARNING!! Choice.exe not found (should've been installed by DOS 6 or Windows95)
echo.
echo          PERDITION'S GATE will be loaded without the new demos
echo.
echo   If you don't start a new game within 15-30 seconds, the standard demos
echo     will begin playing.  The reason they look funny is because they
echo       where recorded on DOOM II maps, not on PERDITION'S GATE maps.
echo.
echo If you want to watch the PERDITION'S GATE demos, you need to have choice.exe
echo        installed, so that the proper version of them will be used.
echo.
echo            (Note: choice.exe comes with DOS 6.* and Windows 95)
echo.
pause
rem
rem command line to run Max installed PERDITION'S  GATE without the demos.
rem 
If exist PerdGate.wad ren doom2.wad doom2saf.wad
If exist PerdGate.wad ren PerdGate.wad doom2.wad
doom2
If exist doom2saf.wad ren doom2.wad PerdGate.wad 
If exist doom2saf.wad ren doom2saf.wad doom2.wad
goto end
REM 
REM This is the error message given in either doom2.wad or doom2.exe aren't found
REM 
:Doh
echo.
cls
echo.
echo                    Can't Find Doom2.exe or Doom2.wad!
echo.
echo       Make sure you are in the directory where you installed DOOM II
echo.
echo     (You must already have DOOM II installed to play PERDITION'S GATE)
echo.
goto end
:error
REM This is the error message given when the necessary wads aren't found
cls
echo.
echo                    Can't Find the Necessary WADS!
echo.
echo * Please check to make sure that the following are in your doom2 directory.*
echo.
echo      PerdGate.wad  PGdemo16.wad  PGdemo17.wad PGdemo18.wad PGdemo19.wad
echo.
echo   (PGdemo1*.WAD files are in the \PG directory of the PERDITION'S GATE CD)
echo.
echo           If you have already played PERDITION'S GATE before,
echo              you should run a test by typing   DOOM2
echo.
echo          If this does NOT result in you playing map01 of DOOM2,
echo            you need to "reset" the wads to their proper names. 
echo              To do this, at the DOS prompt, type   PG-reset
echo.
echo       If this DOES result in you finding yourself on map01 of DOOM2,
echo           then you should reinstall PERDITION'S GATE from the CD
echo.          
pause
goto end
REM 
REM routine for Max installed PG and version 1.666
REM 
:six
cls
echo Running PERDITION'S GATE with version 1.666 Demos...
If exist PerdGate.wad ren doom2.wad doom2saf.wad
If exist PerdGate.wad ren PerdGate.wad doom2.wad
doom2 -file PGdemo16.wad
If exist doom2saf.wad ren doom2.wad PerdGate.wad 
If exist doom2saf.wad ren doom2saf.wad doom2.wad
goto end
REM 
REM routine for Max installed PG and version 1.7 and 1.7a
REM 
:seven
cls
echo Running PERDITION'S GATE with version 1.7 Demos...
If exist PerdGate.wad ren doom2.wad doom2saf.wad
If exist PerdGate.wad ren PerdGate.wad doom2.wad
doom2 -file PGdemo17.wad
If exist doom2saf.wad ren doom2.wad PerdGate.wad 
If exist doom2saf.wad ren doom2saf.wad doom2.wad
goto end
REM 
REM routine for Max installed PG and version 1.8
REM 
:eight
cls
echo Running PERDITION'S GATE with version 1.8 Demos...
If exist PerdGate.wad ren doom2.wad doom2saf.wad
If exist PerdGate.wad ren PerdGate.wad doom2.wad
doom2 -file PGdemo18.wad
If exist doom2saf.wad ren doom2.wad PerdGate.wad 
If exist doom2saf.wad ren doom2saf.wad doom2.wad
goto end
REM 
REM routine for Max installed PG and version 1.9
REM 
:nine
cls
echo Running PERDITION'S GATE with version 1.9 Demos...
If exist PerdGate.wad ren doom2.wad doom2saf.wad
If exist PerdGate.wad ren PerdGate.wad doom2.wad
doom2 -file PGdemo19.wad
If exist doom2saf.wad ren doom2.wad PerdGate.wad 
If exist doom2saf.wad ren doom2saf.wad doom2.wad
goto end
:end
